<?

header('Cache-Control: no-store, no-cache, must-revalidate');	// HTTP/1.1
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php"); 
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link); 
require("version.php");

$mid = intval($mid);

$us=$row["user"]; 
$idd=$row["id"]; 
$login=$row["user"]; 
$alltraf=$row["alltraf"]; 

$sts = mysql_query ("select count(id) as num from st;");
$st = mysql_fetch_array($sts);
$num = $st["num"];

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<card title=\"Конкурс стихов\">\n";
echo "<p align=\"center\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Конкурс стихов</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}


switch($mod) {

case 'meet':
$q=@mysql_query("select title,content,login from st where id='$mid';");
$arr=@mysql_fetch_array($q);
		echo $fsize1;
		echo "<u>Название:</u> ".$arr['title'];
		echo "<br/><u>Стих:</u> ".$arr['content'];
		echo "<br/><u>Автор:</u> ".$arr['login'];
		echo "<br/>";
        echo $fsize2;
break;


default:
echo "<img src=\"smilean\bis.gif\" alt=\"konkurs\"/><br/>";
$q=mysql_query("select id,title from st order by id desc;");
if (mysql_affected_rows() == 0) {
echo "Стихов нет<br/>";
}
if(!isset($s))$s=0;
$mx=round(($num/10)+0.45);
if($s>$mx)$s=$mx;
if($s==0)$s=1;
$ot=(($s-1)*10)+1;
$do=$s*10;
if($do>$num)$do=$num;
$o=$ot-1;
$n=$ot;
if($do==0)$n=$o;
echo $fsize1;
echo "Показывает $n-$do из $num<br/>\n";
echo $divide;
while($arr=mysql_fetch_array($q)) {
echo "<a href=\"st.php?$ses&amp;mid=".$arr['id']."&amp;mod=meet&amp;ref=$ref\">".$arr['title']."</a><br/>";
}
echo $divide;
echo $fsize2;

$next=$s+1;
$prev=$s-1;
if ($num>$do) {
$ot=(($next-1)*10)+1;
$do=$next*10;
if($do>$num)$do=$num;
echo $fsize1;
echo "<a href=\"st.php?mod=m&amp;$ses&amp;s=$next&amp;ref=$ref\">&#8592; ($ot-$do)</a><br/>\n";
echo $fsize2;
}
if($s>1) {
$ot=(($prev-1)*10)+1;
$do=$prev*10;
echo $fsize1;
echo "<a href=\"st.php?mod=m&amp;$ses&amp;s=$prev&amp;ref=$ref\">($ot-$do) &#8594;</a><br/>\n";
echo $fsize2;
}

break;
}
echo $fsize1;
echo $divide;
if($mod) {
echo "<a href=\"st.php?$ses&amp;ref=$ref\">&#8592; Назад</a><br/>";
}


echo "<a href=\"cabinet.php?$ses&amp;ref=$rand\">&#8592; Личный кабинет</a><br/>";
echo "<a href=\"enter.php?$ses&amp;ref=$rand\">&#8592; Прихожая</a><br/>";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
?>